<template>
  <section class="container">
    <div v-if="result && userName">
      <h1 class="title">Paldies, {{userName}}</h1>
      <p>Tu atbildēji pareizi uz {{result.result}} no {{result.questionCnt}} jautājumiem!</p>
      <div>
        <router-link to="/">Pildīt testu vēlreiz</router-link>
      </div>
    </div>
  </section>
</template>

<script>
export default {
  beforeRouteEnter(to, from, next) {
    next(vm => {
      if (vm.$store.state.test.currentQuestionIdx != -1) {
        vm.$router.push("/");
      }
    });
  },
  data: function() {
    return {
      result: null
    };
  },
  computed: {
    userName() {
      return this.$store.state.test.userName;
    }
  },
  created() {
    this.fetchResults();
  },
  methods: {
    async fetchResults() {
      const resultId = this.$store.state.test.resultId;
      this.$data.result = await this.$axios.$get(
        process.env.apiUrl + "tests/result/" + resultId
      );
    }
  }
};
</script>

<style>
.container {
  margin: 0 auto;
  min-height: 100vh;
  display: flex;
  justify-content: center;
  align-items: center;
  text-align: center;
}

.title {
  font-family: "Quicksand", "Source Sans Pro", -apple-system, BlinkMacSystemFont,
    "Segoe UI", Roboto, "Helvetica Neue", Arial, sans-serif;
  display: block;
  font-weight: 300;
  font-size: 65px;
  color: #35495e;
  letter-spacing: 1px;
}
</style>
